SeExpr

Public Slots | Signals | Public Member Functions | Public Attributes | Private Types | Private Attributes | Friends | List of all members
DeepWaterScene Class Reference

`#include <ExprDeepWater.h>`

Inheritance diagram for DeepWaterScene:

## Public Slots
void | resolutionChanged (int val)
void | tileSizeChanged (double val)
void | lengthCutoffChanged (double val)
void | amplitudeChanged (double val)
void | windAngleChanged (double val)
void | windSpeedChanged (double val)
void | flowDirectionChanged (QString val)
void | directionalFactorExponentChanged (double val)
void | directionalReflectionDampingChanged (double val)
void | sharpenChanged (double val)
void | resize (const int width, const int height)

## Signals
void | deepWaterChanged ()

## Public Member Functions
| DeepWaterScene ()
| ~DeepWaterScene ()
void | setParams (const SeDeepWaterParams &paramsIn)
void | drawRect ()
void | drawPoly ()
void | drawGrid ()
void | emitDeepWaterChanged ()
void | rebuildDeepWater ()

## Public Attributes
SeDeepWaterParams | params

## Private Types
typedef SeDeepWater< double > | T_CURVE

## Private Attributes
T_CURVE * | _curve
int | _width
int | _height
QGraphicsPolygonItem * | _curvePoly
QGraphicsRectItem * | _baseRect
QGraphicsRectItem * | _gridRect

## Friends
class | ExprDeepWater

## Detailed Description

Definition at line 197 of file ExprDeepWater.h.

## Member Typedef Documentation

## ◆ T_CURVE

typedef SeDeepWater<double> DeepWaterScene::T_CURVE
| private

Definition at line 200 of file ExprDeepWater.h.

## Constructor & Destructor Documentation

## ◆ DeepWaterScene()

DeepWaterScene::DeepWaterScene | ( |  | ) |

Definition at line 38 of file ExprDeepWater.cpp.

References _height, _width, and resize().

## ◆ ~DeepWaterScene()

DeepWaterScene::~DeepWaterScene | ( |  | ) |

Definition at line 43 of file ExprDeepWater.cpp.

References _curve.

## Member Function Documentation

## ◆ amplitudeChanged

void DeepWaterScene::amplitudeChanged | ( | double | val | ) |
| slot

Definition at line 70 of file ExprDeepWater.cpp.

References SeDeepWaterParams::amplitude, params, and setParams().

## ◆ deepWaterChanged

void DeepWaterScene::deepWaterChanged | ( |  | ) |
| signal

Referenced by emitDeepWaterChanged().

## ◆ directionalFactorExponentChanged

void DeepWaterScene::directionalFactorExponentChanged | ( | double | val | ) |
| slot

Definition at line 93 of file ExprDeepWater.cpp.

References SeDeepWaterParams::directionalFactorExponent, params, and setParams().

## ◆ directionalReflectionDampingChanged

void DeepWaterScene::directionalReflectionDampingChanged | ( | double | val | ) |
| slot

Definition at line 98 of file ExprDeepWater.cpp.

References SeDeepWaterParams::directionalReflectionDamping, params, and setParams().

## ◆ drawGrid()

void DeepWaterScene::drawGrid | ( |  | ) |

Definition at line 154 of file ExprDeepWater.cpp.

References _curve, _gridRect, _height, _width, SeDeepWater< T >::getKHigh(), SeDeepWater< T >::getKLow(), and SeDeepWater< T >::inGrid().

Referenced by resize(), and setParams().

## ◆ drawPoly()

void DeepWaterScene::drawPoly | ( |  | ) |

Definition at line 136 of file ExprDeepWater.cpp.

References _curve, _curvePoly, _height, _width, SeDeepWater< T >::getValue(), and x.

Referenced by resize(), and setParams().

## ◆ drawRect()

void DeepWaterScene::drawRect | ( |  | ) |

Definition at line 127 of file ExprDeepWater.cpp.

References _baseRect, _height, and _width.

Referenced by resize().

## ◆ emitDeepWaterChanged()

void DeepWaterScene::emitDeepWaterChanged | ( |  | ) |

Definition at line 124 of file ExprDeepWater.cpp.

References deepWaterChanged().

Referenced by setParams().

## ◆ flowDirectionChanged

void DeepWaterScene::flowDirectionChanged | ( | QString | val | ) |
| slot

Definition at line 85 of file ExprDeepWater.cpp.

References components(), SeDeepWaterParams::flowDirection, params, and setParams().

## ◆ lengthCutoffChanged

void DeepWaterScene::lengthCutoffChanged | ( | double | val | ) |
| slot

Definition at line 65 of file ExprDeepWater.cpp.

References SeDeepWaterParams::lengthCutoff, params, and setParams().

## ◆ rebuildDeepWater()

void DeepWaterScene::rebuildDeepWater | ( |  | ) |

Definition at line 116 of file ExprDeepWater.cpp.

References _curve, SeDeepWater< T >::generateSpectrum(), params, and SeDeepWater< T >::setParams().

Referenced by setParams().

## ◆ resize

void DeepWaterScene::resize | ( | const int | width,
|  | const int | height
| ) |  |
| slot

Definition at line 45 of file ExprDeepWater.cpp.

References _height, _width, drawGrid(), drawPoly(), and drawRect().

Referenced by DeepWaterScene().

## ◆ resolutionChanged

void DeepWaterScene::resolutionChanged | ( | int | val | ) |
| slot

Definition at line 55 of file ExprDeepWater.cpp.

References params, SeDeepWaterParams::resolution, and setParams().

## ◆ setParams()

void DeepWaterScene::setParams | ( | const SeDeepWaterParams & | paramsIn | ) |

Definition at line 108 of file ExprDeepWater.cpp.

References drawGrid(), drawPoly(), emitDeepWaterChanged(), params, and rebuildDeepWater().

Referenced by amplitudeChanged(), directionalFactorExponentChanged(), directionalReflectionDampingChanged(), flowDirectionChanged(), lengthCutoffChanged(), resolutionChanged(), ExprDeepWater::setParams(), sharpenChanged(), tileSizeChanged(), windAngleChanged(), and windSpeedChanged().

## ◆ sharpenChanged

void DeepWaterScene::sharpenChanged | ( | double | val | ) |
| slot

Definition at line 103 of file ExprDeepWater.cpp.

References params, setParams(), and SeDeepWaterParams::sharpen.

## ◆ tileSizeChanged

void DeepWaterScene::tileSizeChanged | ( | double | val | ) |
| slot

Definition at line 60 of file ExprDeepWater.cpp.

References params, setParams(), and SeDeepWaterParams::tileSize.

## ◆ windAngleChanged

void DeepWaterScene::windAngleChanged | ( | double | val | ) |
| slot

Definition at line 75 of file ExprDeepWater.cpp.

References params, setParams(), and SeDeepWaterParams::windAngle.

## ◆ windSpeedChanged

void DeepWaterScene::windSpeedChanged | ( | double | val | ) |
| slot

Definition at line 80 of file ExprDeepWater.cpp.

References params, setParams(), and SeDeepWaterParams::windSpeed.

## Friends And Related Function Documentation

## ◆ ExprDeepWater

friend class ExprDeepWater
| friend

Definition at line 216 of file ExprDeepWater.h.

## Member Data Documentation

## ◆ _baseRect

QGraphicsRectItem* DeepWaterScene::_baseRect
| private

Definition at line 244 of file ExprDeepWater.h.

Referenced by drawRect().

## ◆ _curve

T_CURVE* DeepWaterScene::_curve
| private

Definition at line 221 of file ExprDeepWater.h.

Referenced by drawGrid(), drawPoly(), rebuildDeepWater(), and ~DeepWaterScene().

## ◆ _curvePoly

QGraphicsPolygonItem* DeepWaterScene::_curvePoly
| private

Definition at line 243 of file ExprDeepWater.h.

Referenced by drawPoly().

## ◆ _gridRect

QGraphicsRectItem* DeepWaterScene::_gridRect
| private

Definition at line 245 of file ExprDeepWater.h.

Referenced by drawGrid().

## ◆ _height

int DeepWaterScene::_height
| private

Definition at line 242 of file ExprDeepWater.h.

Referenced by DeepWaterScene(), drawGrid(), drawPoly(), drawRect(), and resize().

## ◆ _width

int DeepWaterScene::_width
| private

Definition at line 241 of file ExprDeepWater.h.

Referenced by DeepWaterScene(), drawGrid(), drawPoly(), drawRect(), and resize().

## ◆ params

SeDeepWaterParams DeepWaterScene::params

Definition at line 218 of file ExprDeepWater.h.

Referenced by amplitudeChanged(), DeepWaterControl::deepWaterChanged(), directionalFactorExponentChanged(), directionalReflectionDampingChanged(), flowDirectionChanged(), lengthCutoffChanged(), rebuildDeepWater(), resolutionChanged(), setParams(), sharpenChanged(), tileSizeChanged(), windAngleChanged(), and windSpeedChanged().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.cpp